package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * CwUspTsPeriodData对象 cw_usp_ts_period_data
 *
 * @author hlf
 * @date 2021-12-28
 */
public class CwUspTsPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wfPrCwireNo;

    private Long modelNo;

    private Long timeScale;

    private Date dataTime;

    private Double windSpeed;

    private Double modCoeff;

    private Double power;

    private Double modPower;

    private Long dataFlag;

    public void setWfPrCwireNo(Long wfPrCwireNo) {
        this.wfPrCwireNo = wfPrCwireNo;
    }

    public Long getWfPrCwireNo() {
        return wfPrCwireNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setTimeScale(Long timeScale) {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() {
        return timeScale;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setWindSpeed(Double windSpeed) {
        this.windSpeed = windSpeed;
    }

    public Double getWindSpeed() {
        return windSpeed;
    }

    public void setModCoeff(Double modCoeff) {
        this.modCoeff = modCoeff;
    }

    public Double getModCoeff() {
        return modCoeff;
    }

    public void setPower(Double power) {
        this.power = power;
    }

    public Double getPower() {
        return power;
    }

    public void setModPower(Double modPower) {
        this.modPower = modPower;
    }

    public Double getModPower() {
        return modPower;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    private String manyTimeScale;

    public String getManyTimeScale() {
        return manyTimeScale;
    }

    public void setManyTimeScale(String manyTimeScale) {
        this.manyTimeScale = manyTimeScale;
    }

    private Long windplantNo;

    private Long projectNo;

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wfPrCwireNo", getWfPrCwireNo())
                .append("modelNo", getModelNo())
                .append("timeScale", getTimeScale())
                .append("dataTime", getDataTime())
                .append("windSpeed", getWindSpeed())
                .append("modCoeff", getModCoeff())
                .append("power", getPower())
                .append("modPower", getModPower())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
